Biological sequences representation
===================================

.. toctree::
   :maxdepth: 2

.. automodule:: obitools


Classes
^^^^^^^

Abstract class for all biological sequences
...........................................

    .. autoclass:: BioSequence
        :members:


 
Nucleic (DNA) sequences
.......................
    
    .. autoclass:: NucSequence
        :members:
        
Amino-acid sequences
.....................

    .. autoclass:: AASequence
        :members:
        
Biological sequences as the transformation of others sequences
..............................................................
        
    .. autoclass:: WrappedBioSequence
        :members:
        
Fragment of sequences
.....................
        
    .. autoclass:: SubSequence
        :members:
        
Reversed complemented DNA sequences
................................... 
        
    .. autoclass:: DNAComplementSequence
        :members:
    
Functions
^^^^^^^^^

    .. autofunction:: bioSeqGenerator

     
        